SYD(5)

# NAME

syd - document format for writing syd profiles

# API

Current version of the syd command API *3*. This version is *stable*.

# CONFIGURATION

syd is configured through sandbox commands. For multiple matching rules (e.g.
two rules matching the same path), _the last matching rule wins_. There are two
ways to supply sandbox commands. First, syd may be configured using a
configuration file. The path to the configuration file is speficied using the
*-P* command line switch. More than one configuration file may be specified this
way. Single commands may also be passed via *-m* command line switch.
Configuration profiles may be applied using the *-p* command line switch. See
*PROFILES* section for more information. Second, syd may be configured using
*magic* _stat_(2) calls during runtime.  This is achieved by calling _stat_(2)
system call on the special path */dev/syd* followed by the sandbox command. Note
that runtime configuration is only possible if the sandbox lock is *unset*. The
system call _stat_(2) was chosen because it is practical to invoke using builtin
shell commands like:

```
; test -c /dev/syd/sandbox/read:on
```

which enables *Read Sandboxing* for a shell running under syd. It is
also possible to query certain values using the return value of the
_stat_(2) call:

```
test -c /dev/syd/sandbox/read? && echo "read sandboxing on" || echo "read sandboxing off"
```

Note, some of these shell builtins may actually call other system calls such as
_fstat_(2), _lstat_(2), _newfstatat_(2), or _statx_(2). syd supports the same
interface through all these system calls transparently. Check the manual page
_syd_(2) for a description of the _stat_(2) interface.

# SYNTAX

Input files must use the UTF-8 encoding. Format is simple. It is just a way to
supply many sandbox commands in a convenient way. All empty lines and lines
starting with the sign *#* are ignored. All the other lines are treated as if
they were supplied to syd via the *-m* command line switch. For a list of
available sandbox commands, consult _syd_(2).

# NAMING

Configuration file naming of syd follows a naming scheme which makes it
possible to extract command API version from the file name. A syd
configuration file must have the extension *syd-* followed by the API version
(e.g. *"syd-3"* for API version *3*).

# SEE ALSO

_syd_(1), _syd_(2), _syd_(7)

*syd* homepage: <https://sydbox.exherbolinux.org/>

# AUTHORS

Maintained by Ali Polatel. Up-to-date sources can be found at
https://git.sr.ht/~alip/syd and bugs/patches can be submitted by email to
~alip/sydbox-devel@lists.sr.ht.
